<%@ Page Language="vb"  %>
<%@ Import Namespace="TourEx.BLL" %>
<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        Dim Type As String = FilterStr(Request.QueryString("Type")).ToLower
        Dim NotContain As String = FilterStr(Request.QueryString("NotContain")).ToLower
        Dim CheckText As String = FilterStr(Request.QueryString("CheckText")).ToLower
        Dim v As String = "false"
        If NotContain <> "" AndAlso CheckText = NotContain Then
            Response.Write("true")
            Exit Sub
        End If
        Select Case Type
            Case "username"
                If ReTest(CheckText, "username") AndAlso Not Member.NameIsRepeat(CheckText) Then
                    v = "true"
                End If
            Case "email"
                If ReTest(CheckText, "email") AndAlso Not Member.EmailIsRepeat(CheckText) Then
                    v = "true"
                End If
            Case "mobile"
                If ReTest(CheckText, "mobile") AndAlso Not Member.MobileIsRepeat(CheckText) Then
                    v = "true"
                End If
            Case Else
                If CheckCode(CheckText) Then
                    Session("GetCode") = CheckText
                    v = "true"
                End If
        End Select
        Response.Write(v)
    End Sub
</script>

